Debian Bug report logs - #651065
'dropbox start -i' doesn't respect http_proxy as expected

version graph

Package: nautilus-dropbox; Maintainer for nautilus-dropbox is Chow Loong Jin <hyperair@debian.org>; Source for nautilus-dropbox is src:nautilus-dropbox.

Reported by: Teemu Ikonen <tpikonen@gmail.com>

Date: Mon, 5 Dec 2011 13:45:01 UTC

Severity: important

Found in version nautilus-dropbox/0.7.1-1

Fixed in version nautilus-dropbox/0.7.1-2

Done: Raphaël Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Raphaël Hertzog <hertzog@debian.org>:
Bug#651065; Package nautilus-dropbox. (Mon, 05 Dec 2011 13:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teemu Ikonen <tpikonen@gmail.com>:
New Bug report received and forwarded. Copy sent to Raphaël Hertzog <hertzog@debian.org>. (Mon, 05 Dec 2011 13:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Teemu Ikonen <tpikonen@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nautilus-dropbox: 'dropbox start -i' fails
Date: Mon, 5 Dec 2011 14:42:08 +0100
Package: nautilus-dropbox
Version: 0.7.1-1
Severity: normal

Installation of dropboxd fails:

$ dropbox start -i
Starting Dropbox...
Dropbox is the easiest way to share and store your files online. Want
to learn more? Head to http:/
/www.dropbox.com/

Downloading Dropbox... 100%
Traceback (most recent call last):
  File "/usr/bin/dropbox", line 1372, in <module>
    ret = main(sys.argv)
  File "/usr/bin/dropbox", line 1361, in main
    result = commands[argv[i]](argv[i+1:])
  File "/usr/bin/dropbox", line 805, in update
    download()
  File "/usr/bin/dropbox", line 544, in download
    name, i, total = one_member.next()
  File "/usr/bin/dropbox", line 267, in unpack
    if not verify_signature(StringIO.StringIO(DROPBOX_PUBLIC_KEY),
signature, self.local_file):
  File "/usr/bin/dropbox", line 201, in verify_signature
    sigs = ctx.verify(sig_file, plain_file, None)
gpgme.GpgmeError: (7, 58, u'No data')
The installation of Dropbox failed.


Best,

Teemu


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (150, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages nautilus-dropbox depends on:
ii  libatk1.0-0              2.2.0-2
ii  libc6                    2.13-21
ii  libcairo-gobject2        1.10.2-6.1
ii  libcairo2                1.10.2-6.1
ii  libfontconfig1           2.8.0-3
ii  libfreetype6             2.4.8-1
ii  libgdk-pixbuf2.0-0       2.24.0-1
ii  libglib2.0-0             2.30.2-4
ii  libgtk-3-0               3.2.2-3
ii  libnautilus-extension1a  3.2.1-2
ii  libpango1.0-0            1.29.4-2
ii  policykit-1              0.102-2
ii  procps                   1:3.2.8-11
ii  python                   2.7.2-9
ii  python-gpgme             0.1+bzr20090820-3
ii  python-gtk2              2.24.0-2

nautilus-dropbox recommends no packages.

Versions of packages nautilus-dropbox suggests:
ii  nautilus  3.2.1-2

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Raphaël Hertzog <hertzog@debian.org>:
Bug#651065; Package nautilus-dropbox. (Mon, 05 Dec 2011 16:06:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Raphaël Hertzog <hertzog@debian.org>. (Mon, 05 Dec 2011 16:06:14 GMT) Full text and rfc822 format available.

Message #10 received at 651065@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Teemu Ikonen <tpikonen@gmail.com>, 651065@bugs.debian.org
Subject: Re: Bug#651065: nautilus-dropbox: 'dropbox start -i' fails
Date: Mon, 5 Dec 2011 17:01:57 +0100
Hello,

On Mon, 05 Dec 2011, Teemu Ikonen wrote:
>   File "/usr/bin/dropbox", line 201, in verify_signature
>     sigs = ctx.verify(sig_file, plain_file, None)
> gpgme.GpgmeError: (7, 58, u'No data')
> The installation of Dropbox failed.

That's probably the sign that the download of the signature failed for
some unknown reason.

Do you have to use a proxy to access the internet? If yes, do you have
correctly configured the http_proxy environment variable?

It's true however that pkexec does filter environment variables so the
problem could well be here.

Does "dropbox update" work if you run it in a root shell where http_proxy
is correctly configured?

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/liberation/




Reply sent to Teemu Ikonen <tpikonen@gmail.com>:
You have taken responsibility. (Mon, 05 Dec 2011 17:21:08 GMT) Full text and rfc822 format available.

Notification sent to Teemu Ikonen <tpikonen@gmail.com>:
Bug acknowledged by developer. (Mon, 05 Dec 2011 17:21:08 GMT) Full text and rfc822 format available.

Message #15 received at 651065-close@bugs.debian.org (full text, mbox):

From: Teemu Ikonen <tpikonen@gmail.com>
To: 651065-close@bugs.debian.org, Raphael Hertzog <hertzog@debian.org>
Subject: Re: Bug#651065: nautilus-dropbox: 'dropbox start -i' fails
Date: Mon, 5 Dec 2011 18:19:16 +0100
On Mon, Dec 5, 2011 at 5:01 PM, Raphael Hertzog <hertzog@debian.org> wrote:
> On Mon, 05 Dec 2011, Teemu Ikonen wrote:
>>   File "/usr/bin/dropbox", line 201, in verify_signature
>>     sigs = ctx.verify(sig_file, plain_file, None)
>> gpgme.GpgmeError: (7, 58, u'No data')
>> The installation of Dropbox failed.
>
> That's probably the sign that the download of the signature failed for
> some unknown reason.
>
> Do you have to use a proxy to access the internet? If yes, do you have
> correctly configured the http_proxy environment variable?

Hello,

Thanks for the quick reply, indeed the problem was that I could not
connect to dropbox.com without a proxy. The downloader could perhaps
give a more informative error message in this case, but the problem
was not really there, so I'm closing this bug.

Best,

Teemu




Information forwarded to debian-bugs-dist@lists.debian.org, Raphaël Hertzog <hertzog@debian.org>:
Bug#651065; Package nautilus-dropbox. (Mon, 05 Dec 2011 18:00:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Raphaël Hertzog <hertzog@debian.org>. (Mon, 05 Dec 2011 18:00:23 GMT) Full text and rfc822 format available.

Message #20 received at 651065@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Teemu Ikonen <tpikonen@gmail.com>
Cc: 651065@bugs.debian.org
Subject: Re: Bug#651065: nautilus-dropbox: 'dropbox start -i' fails
Date: Mon, 5 Dec 2011 18:55:46 +0100
On Mon, 05 Dec 2011, Teemu Ikonen wrote:
> On Mon, Dec 5, 2011 at 5:01 PM, Raphael Hertzog <hertzog@debian.org> wrote:
> > On Mon, 05 Dec 2011, Teemu Ikonen wrote:
> >>   File "/usr/bin/dropbox", line 201, in verify_signature
> >>     sigs = ctx.verify(sig_file, plain_file, None)
> >> gpgme.GpgmeError: (7, 58, u'No data')
> >> The installation of Dropbox failed.
> >
> > That's probably the sign that the download of the signature failed for
> > some unknown reason.
> >
> > Do you have to use a proxy to access the internet? If yes, do you have
> > correctly configured the http_proxy environment variable?
> 
> Hello,
> 
> Thanks for the quick reply, indeed the problem was that I could not
> connect to dropbox.com without a proxy. The downloader could perhaps
> give a more informative error message in this case, but the problem
> was not really there, so I'm closing this bug.

How did you fix your problem ?

Because as I said if you run "dropbox start -i" as a user and have to
install dropbox, it will use pkexec to run "dropbox update" as root and
then the http_proxy environment variable is lost and things should break.

So I think that you possibly closed this bug too quickly. :)

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/liberation/




Information forwarded to debian-bugs-dist@lists.debian.org, Raphaël Hertzog <hertzog@debian.org>:
Bug#651065; Package nautilus-dropbox. (Mon, 05 Dec 2011 20:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teemu Ikonen <tpikonen@gmail.com>:
Extra info received and forwarded to list. Copy sent to Raphaël Hertzog <hertzog@debian.org>. (Mon, 05 Dec 2011 20:06:05 GMT) Full text and rfc822 format available.

Message #25 received at 651065@bugs.debian.org (full text, mbox):

From: Teemu Ikonen <tpikonen@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Subject: Re: Bug#651065: nautilus-dropbox: 'dropbox start -i' fails
Date: Mon, 5 Dec 2011 19:11:09 +0100
On Mon, Dec 5, 2011 at 6:55 PM, Raphael Hertzog <hertzog@debian.org> wrote:
> How did you fix your problem ?
>
> Because as I said if you run "dropbox start -i" as a user and have to
> install dropbox, it will use pkexec to run "dropbox update" as root and
> then the http_proxy environment variable is lost and things should break.
>
> So I think that you possibly closed this bug too quickly. :)

I ran dropbox start -i under tsocks, i.e. a SOCKS proxy, and the
dropbox client download succeeded. The client can also be configured
to use a SOCKS proxy from the GUI, so syncing now works also.

Setting a working http_proxy and running under root would have
probably worked as well, but SOCKS was easier to set up now.

Best,

Teemu





Information forwarded to debian-bugs-dist@lists.debian.org, Raphaël Hertzog <hertzog@debian.org>:
Bug#651065; Package nautilus-dropbox. (Mon, 05 Dec 2011 20:24:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Raphaël Hertzog <hertzog@debian.org>. (Mon, 05 Dec 2011 20:24:13 GMT) Full text and rfc822 format available.

Message #30 received at 651065@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Teemu Ikonen <tpikonen@gmail.com>
Cc: 651065@bugs.debian.org
Subject: Re: Bug#651065: nautilus-dropbox: 'dropbox start -i' fails
Date: Mon, 5 Dec 2011 21:23:31 +0100
On Mon, 05 Dec 2011, Teemu Ikonen wrote:
> I ran dropbox start -i under tsocks, i.e. a SOCKS proxy, and the
> dropbox client download succeeded. The client can also be configured
> to use a SOCKS proxy from the GUI, so syncing now works also.

It's weird because tsocks uses LD_PRELOAD to override the system calls
but that variable is not kept by pkexec and pkexec is a setuid program
so even ld.so should not accept to pre-load the tsocks library.

Looking further I see that the message you pasted says “Downloading
Dropbox... 100%” so the download actually worked but only the
download of the signature failed (or worked but returned nothing).

Not sure how to explain that. Maybe a transient problem somewhere in the
chain.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/liberation/




Information forwarded to debian-bugs-dist@lists.debian.org, Raphaël Hertzog <hertzog@debian.org>:
Bug#651065; Package nautilus-dropbox. (Mon, 05 Dec 2011 20:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teemu Ikonen <tpikonen@gmail.com>:
Extra info received and forwarded to list. Copy sent to Raphaël Hertzog <hertzog@debian.org>. (Mon, 05 Dec 2011 20:36:03 GMT) Full text and rfc822 format available.

Message #35 received at 651065@bugs.debian.org (full text, mbox):

From: Teemu Ikonen <tpikonen@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 651065@bugs.debian.org
Subject: Re: Bug#651065: nautilus-dropbox: 'dropbox start -i' fails
Date: Mon, 5 Dec 2011 21:33:51 +0100
Hi Raphael,

On Mon, Dec 5, 2011 at 9:23 PM, Raphael Hertzog <hertzog@debian.org> wrote:
> On Mon, 05 Dec 2011, Teemu Ikonen wrote:
>> I ran dropbox start -i under tsocks, i.e. a SOCKS proxy, and the
>> dropbox client download succeeded. The client can also be configured
>> to use a SOCKS proxy from the GUI, so syncing now works also.
>
> It's weird because tsocks uses LD_PRELOAD to override the system calls
> but that variable is not kept by pkexec and pkexec is a setuid program
> so even ld.so should not accept to pre-load the tsocks library.

I ran 'tsocks dropbox update' as root, so pkexec was probably not involved.

> Looking further I see that the message you pasted says “Downloading
> Dropbox... 100%” so the download actually worked but only the
> download of the signature failed (or worked but returned nothing).

The failure was instantaneous, so the client was not downloaded. The
downloader script probably mistook the '403 forbidden' message as a
success.

Best,

Teemu




Information forwarded to debian-bugs-dist@lists.debian.org, Raphaël Hertzog <hertzog@debian.org>:
Bug#651065; Package nautilus-dropbox. (Tue, 06 Dec 2011 07:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Raphaël Hertzog <hertzog@debian.org>. (Tue, 06 Dec 2011 07:30:04 GMT) Full text and rfc822 format available.

Message #40 received at 651065@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Teemu Ikonen <tpikonen@gmail.com>
Cc: 651065@bugs.debian.org
Subject: Re: Bug#651065: nautilus-dropbox: 'dropbox start -i' fails
Date: Tue, 6 Dec 2011 08:27:09 +0100
reopen 651065
retitle 651065 'dropbox start -i' doesn't respect http_proxy as expected
severity 651065 important
clone 651065 -1
retitle -1 dropbox doesn't verify the HTTP return code when downloading the binaries 
thanks

On Mon, 05 Dec 2011, Teemu Ikonen wrote:
> I ran 'tsocks dropbox update' as root, so pkexec was probably not involved.

Right. So we probably still have the problem that I described.

> > Looking further I see that the message you pasted says “Downloading
> > Dropbox... 100%” so the download actually worked but only the
> > download of the signature failed (or worked but returned nothing).
> 
> The failure was instantaneous, so the client was not downloaded. The
> downloader script probably mistook the '403 forbidden' message as a
> success.

Indeed, you're right. Yet another bug in the implementation... that also
explains why I have seen many errors where the failure involved the lack
of a Content-Length field in the answer. Probably a proxy that did not put
this field in its answer...

Cloning into a new bug for this one.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/liberation/




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 06 Dec 2011 07:30:06 GMT) Full text and rfc822 format available.

Changed Bug title to ''dropbox start -i' doesn't respect http_proxy as expected' from 'nautilus-dropbox: 'dropbox start -i' fails' Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Tue, 06 Dec 2011 07:30:06 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Tue, 06 Dec 2011 07:30:07 GMT) Full text and rfc822 format available.

Bug 651065 cloned as bug 651143. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Tue, 06 Dec 2011 07:30:08 GMT) Full text and rfc822 format available.

Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Wed, 28 Dec 2011 12:07:53 GMT) Full text and rfc822 format available.

Notification sent to Teemu Ikonen <tpikonen@gmail.com>:
Bug acknowledged by developer. (Wed, 28 Dec 2011 12:08:08 GMT) Full text and rfc822 format available.

Message #53 received at 651065-close@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 651065-close@bugs.debian.org
Subject: Bug#651065: fixed in nautilus-dropbox 0.7.1-2
Date: Wed, 28 Dec 2011 12:03:35 +0000
Source: nautilus-dropbox
Source-Version: 0.7.1-2

We believe that the bug you reported is fixed in the latest version of
nautilus-dropbox, which is due to be installed in the Debian FTP archive:

nautilus-dropbox_0.7.1-2.debian.tar.bz2
  to non-free/n/nautilus-dropbox/nautilus-dropbox_0.7.1-2.debian.tar.bz2
nautilus-dropbox_0.7.1-2.dsc
  to non-free/n/nautilus-dropbox/nautilus-dropbox_0.7.1-2.dsc
nautilus-dropbox_0.7.1-2_i386.deb
  to non-free/n/nautilus-dropbox/nautilus-dropbox_0.7.1-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 651065@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphaël Hertzog <hertzog@debian.org> (supplier of updated nautilus-dropbox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 28 Dec 2011 11:35:56 +0100
Source: nautilus-dropbox
Binary: nautilus-dropbox
Architecture: source i386
Version: 0.7.1-2
Distribution: unstable
Urgency: low
Maintainer: Raphaël Hertzog <hertzog@debian.org>
Changed-By: Raphaël Hertzog <hertzog@debian.org>
Description: 
 nautilus-dropbox - Dropbox integration for Nautilus
Closes: 650735 651065
Changes: 
 nautilus-dropbox (0.7.1-2) unstable; urgency=low
 .
   * Update watch file to cope with changes on the dropbox website.
   * Update copyright file to fix 2 syntax errors and to add a disclaimer
     concerning the fact that the package is in non-free. Thanks
     to Charles Plessy for the patch. Closes: #650735
   * Split upstreamable changes from use-var-lib-dropbox.patch into
     do-not-hardcode-dropboxd-path.patch.
   * Split non-upstream changes from dropbox-update.patch into
     non-interactive-update.patch.
   * Update use-var-lib-dropbox.patch to ensure that the extracted files are
     owned by root.
   * Stop dropbox in the prerm and not in the postrm since the program
     is no longer available at that point.
   * New patch add-http-proxy-option.patch to force the http_proxy environment
     variable.
   * Update use-pkexec-to-get-root-rights.patch to forward the http_proxy
     environment variable across pkexec. Closes: #651065
Checksums-Sha1: 
 b0b74b3748fe0f036db8087a59d61584ecec779b 2145 nautilus-dropbox_0.7.1-2.dsc
 c580996c4c28caa6baa916980eee80b0f6bbaa28 12790 nautilus-dropbox_0.7.1-2.debian.tar.bz2
 20b87d5158146eb5db8ca85e5c25c5febfcb450e 103762 nautilus-dropbox_0.7.1-2_i386.deb
Checksums-Sha256: 
 ee6435af73ec80b91dc906a2419a7f297445a6623f57e61bd3fe8fcc996b0c0a 2145 nautilus-dropbox_0.7.1-2.dsc
 d9152756390a1e98d5ce8070b1f3edab61667e7612d798d20076922f9182073b 12790 nautilus-dropbox_0.7.1-2.debian.tar.bz2
 448700633eaed50f316f23dbf9e22b3d00143e1869eff525ce089a105fd47007 103762 nautilus-dropbox_0.7.1-2_i386.deb
Files: 
 680ddb441b39255821edbd6c7a157269 2145 non-free/gnome optional nautilus-dropbox_0.7.1-2.dsc
 c3ae14e6ea7a06a0949cbbe878101024 12790 non-free/gnome optional nautilus-dropbox_0.7.1-2.debian.tar.bz2
 a1667a76c7bf5d5a6c4b8ec2d25a5b94 103762 non-free/gnome optional nautilus-dropbox_0.7.1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iQIcBAEBCAAGBQJO+wEhAAoJEOYZBF3yrHKasfAP/0HV7vDEZAdIDUZNk9LvhMzp
KjZJh0BwYtPEEi/WdcD8UZ8m25aquQJ48lRslEgbYhSQ2dMXBZruGnseSSRO4W5R
ODQL1Aa5y5avC9uwIKRs/I/GxWRUmjP8z7hzHYIHt5nRqxVBlS/GsBcEwLngiGDb
sdylPdmmyzBovJBSAN46f+GY2AX44NO+Ke0bBt2XKbmVRgYfU96R4Uwxvfni6WoC
Jy183apnY3DPThN4DqlwOGB/qK8iy9stKgFa/93W0VIvy1tLqTNueppFYn6YkyuS
KlG3zTattnrql2Ug480reM1CLPTmesWUIHBvjm9mBlahiZx69giHFdnGwFnyiPuB
Cn/pf9X8H5tDhXtksZJ/RkdZdJhl9MFd72vjlS8yQdzNmF5V471mSDP7ITYcL89s
qZJlfJookuAjNREQSTRprKpPIyTBpLjOwojp2ex1lvkTW/It2XHp/NGmnU0oRzUW
7+abnavAvUFlIh0aC3Ba1hgaXPqImKRPbgRlq32Dxg3pFzNEiQVDUxxhmVQvRm+4
Aqz5D5pFTTofhh7Oat1EBmNEZ0/B2Gg9IHgU6vBWZO0r1X6Q3d9mhOza5dXYy2QZ
dBjEiChgWevyPHSRDRZFUAaktJ0/bl4gRYIDxBHabPFhsKbJD7fGATcC+1ALfSYo
sK8j/KAqirG659YUKg6w
=hEdO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 Feb 2012 07:41:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:10:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.